> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Provider Details

> Use the /api/v1/providers endpoint to retrieve information about a particular Data Provider such as their country, their data scopes, the FDX fields they support, and more.

Use the `/api/v1/providers` endpoint to retrieve information about a particular `Data Provider` such as their country, their data scopes, the FDX fields they support, and more.

To successfully call this endpoint, you must first call the [/Token](/api/outbound/endpoints/authorize/token) endpoint to obtain a valid `access_token` using the following settings:

* grant\_type: `client_credentials`
* client\_id: `{partner client_id}`
* client\_secret: `{partner client_secret}`
* scope: `client:admin`


## OpenAPI

````yaml /openapi-outbound.yaml GET /api/v1/providers/{provider_id}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://ob.flinksapp.com
    description: Flinks Outbound Production
security:
  - BearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v1/providers/{provider_id}:
    get:
      tags:
        - Outbound
      summary: Get Data Provider Details
      description: >-
        Use the /api/v1/providers endpoint to retrieve information about a
        particular Data Provider such as their country, their data scopes, the
        FDX fields they support, and more.
      operationId: getDataProviderDetails
      parameters:
        - name: provider_id
          in: path
          required: true
          description: >-
            The ID of the Data Provider who you want to retrieve information
            about.
          schema:
            type: string
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  provider_id:
                    type: integer
                    description: Unique identifier for the data provider.
                  name:
                    type: string
                    description: Name of the data provider.
                  country:
                    type: string
                    description: Country code of the data provider (e.g., CA, US).
                  provider_url:
                    type: string
                    description: URL of the data provider's website.
                  scopes:
                    type: array
                    items:
                      type: string
                    description: List of data scopes supported by the data provider.
                  data_inventory:
                    type: object
                    description: >-
                      Detailed inventory of FDX fields supported by the data
                      provider.
                    properties:
                      account:
                        type: array
                        items:
                          type: string
                      customers:
                        type: array
                        items:
                          type: string
                      detailed_accounts:
                        type: array
                        items:
                          type: string
                      lightweight_accounts:
                        type: array
                        items:
                          type: string
                      payments:
                        type: array
                        items:
                          type: string
                      transactions:
                        type: array
                        items:
                          type: string
              example:
                provider_id: 4013
                name: 1st United CU
                country: US
                provider_url: https://accounts.1stunitedcu.org/
                scopes:
                  - ACCOUNT_BASIC
                  - ACCOUNT_DETAILED
                  - ACCOUNT_PAYMENTS
                  - INVESTMENTS
                  - TRANSACTIONS
                  - STATEMENTS
                  - CUSTOMER_CONTACT
                  - CUSTOMER_PERSONAL
                data_inventory:
                  account: []
                  customers:
                    - customerId
                    - name.first
                    - name.last
                    - emails
                    - email
                    - addresses.line1
                    - addresses.city
                    - addresses.region
                    - addresses.postalCode
                    - telephones.number
                    - name.middle
                  detailed_accounts:
                    - accounts.depositAccount.currentBalance
                    - accounts.depositAccount.accountId
                    - accounts.depositAccount.accountType
                    - accounts.depositAccount.accountNumberDisplay
                    - accounts.depositAccount.productName
                    - accounts.depositAccount.currency.currencyCode
                    - accounts.depositAccount.availableBalance
                  lightweight_accounts: []
                  payments:
                    - paymentNetworks.bankId
                    - paymentNetworks.identifier
                    - paymentNetworks.identifierType
                    - paymentNetworks.type
                    - paymentNetworks.transferIn
                    - paymentNetworks.transferOut
                  transactions:
                    - page.nextOffset
                    - links.next.href
                    - transactions.depositTransaction.accountId
                    - transactions.depositTransaction.transactionId
                    - transactions.depositTransaction.postedTimestamp
                    - transactions.depositTransaction.transactionTimestamp
                    - transactions.depositTransaction.description
                    - transactions.depositTransaction.amount
                    - transactions.depositTransaction.transactionType
                    - transactions.depositTransaction.status
        '401':
          description: Unauthorized - Expired or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid Bearer Token
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Provider not found
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Internal Server Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token obtained from the /Token endpoint.

````